"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _lambda = _interopRequireDefault(require("aws-sdk/clients/lambda"));

var _default = async (ssrFunction, {
  path
}) => {
  const Lambda = new _lambda.default({
    region: process.env.AWS_REGION
  });
  const response = await Lambda.invoke({
    FunctionName: ssrFunction,
    Payload: JSON.stringify({
      path
    })
  }).promise();
  const payload = JSON.parse(response.Payload);

  if (payload.error) {
    throw new Error(payload.body);
  }

  return payload.body;
};

exports.default = _default;
//# sourceMappingURL=getSsrHtml.js.map